Subject: bug#15045: Point jumps inappropriately around time of Semantic lexing

From: Stefan Monnier <[email-masked]>
Date: Thu, 08 Aug 2013 18:50:42 -0400

>> > If arbitrary timers can execute during the lexer's call to
>> > accept-process-output or input-pending-p, then doesn't that mean
>> > jit-lock-deferred-fontify can run too?
>> Yes.
> No, I don't think so, because idle timers don't run.

You might be right, indeed.

>> > If removing timers' sit-for calls is the solution,
>> It's a workaround.
> I think the right solution is to not call input-pending-p etc. during
> lexer run.

Not calling accept-process-output might be tricky.
And not calling input-pending-p can also require very significant
code changes (I think support for concurrency would help a lot here).

        Stefan